<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
<h:head>
	<title>Index</title>
</h:head>
<h:body>
	<h:form>
		<p:breadCrumb>
			<p:menuitem />
			<p:menuitem value="Pagina JSF" action="index.jsf" />
			<p:menuitem value="Pagina PrimeFaces" action="primefaces.jsf" />

		</p:breadCrumb>

	</h:form>



	<h:form id="formulario">
		<h:messages showDetail="true" showSummary="false" id="msg" />
		<h:panelGrid columns="2" cellpadding="5">
			<h:outputLabel value="Usuario: " />
			<h:outputText value="#{telefoneManagedBean.user.nome}" />

			<h:outputLabel value="Número: " />
			<h:inputText value="#{telefoneManagedBean.tel.numero}" />

			<h:outputLabel value="Tipo: " />
			<h:inputText value="#{telefoneManagedBean.tel.tipo}" />

		</h:panelGrid>
		<br />
		<br />
		<h:commandButton value="Salvar" action="#{telefoneManagedBean.salvar}" />
	</h:form>

	<h:form id="formTelefones">
		<h:dataTable value="#{telefoneManagedBean.user.telefoneUsers}"
			var="fone" cellpadding="15" border="1">
			<f:facet name="Header">Lista de telefones</f:facet>

			<h:column>
				<f:facet name="header">Id </f:facet>
				<h:outputLabel value="#{fone.id}" />
			</h:column>

			<h:column>
				<f:facet name="header">Número </f:facet>
				<h:outputLabel value="#{fone.numero}" />
			</h:column>

			<h:column>
				<f:facet name="header">Tipo </f:facet>
				<h:outputLabel value="#{fone.tipo}" />
			</h:column>
			<h:column>
				<f:facet name="header">Deletar</f:facet>
				<h:commandLink immediate="true"
					action="#{telefoneManagedBean.removeTelefone}" id="botaoremover">
					<h:graphicImage url="resources/img/rubber.png" width="25"
						height="25" />
					<f:setPropertyActionListener value="#{fone}"
						target="#{telefoneManagedBean.tel}" />
					<f:ajax execute="botaoremover" render="@form :formulario :msg" />
				</h:commandLink>
			</h:column>
		</h:dataTable>



	</h:form>


</h:body>
</html>